- Qt 6.7
- Qt Graphs
- QML Types
- QtGraphs (Technical Preview)
- XYSeries
- Qt Graphs | Commercial or GPLv3

# XYSeries QML Type

A parent type for all x & y series types. More...

Import Statement: | import QtGraphs
Inherits: | AbstractSeries
Inherited By: | LineSeries and ScatterSeries
Status: | Technical Preview

- List of all members, including inherited members
- XYSeries is part of Qt Graphs QML Types for 2D.

## Properties

- axisX : AbstractAxis
- axisY : AbstractAxis
- color : color
- markerSize : real
- pointMarker : Component
- selectedColor : color

## Signals

- pointReplaced(int index)

## Detailed Description

In XYSeries, data points are defined as a list of point types, defining X and Y positions.

## Property Documentation

axisX : AbstractAxis

The x-axis used for the series. This should be ValueAxis.

See also axisY.

axisY : AbstractAxis

The y-axis used for the series. This should be ValueAxis.

See also axisX.

color : color

The main color of the series. For LineSeries this means the line color and for ScatterSeries the color of the point

markerSize : real

The size of the pointMarker in pixels when using a default circle as a marker. When using pointMarker, the size is defined by the pointMarker conponent.

pointMarker : Component

A custom QML Component used as a marker for data points.

selectedColor : color

The main color of the selected series. For LineSeries this means the line color and for ScatterSeries the color of the point

## Signal Documentation

pointReplaced(int index)

This signal is emitted when a point is replaced at the position specified by index.

The corresponding signal handler is `onPointReplaced()`.

Note: The corresponding handler is `onPointReplaced`.